KJS::ValueImp Class Referenceabstract

`#include <value.h>`

Inherited by KJS::BooleanImp, KJS::NullImp, KJS::NumberImp, KJS::ObjectImp, KJS::StringImp, and KJS::UndefinedImp.

## Public Member Functions

ValueImp * | ref ()
bool | deref ()
virtual void | mark ()
bool | marked () const
void * | operator new (size_t)
void | operator delete (void *)
void | setGcAllowed ()
void | setGcAllowedFast ()
int | toInteger (ExecState *exec) const
int | toInt32 (ExecState *exec) const
unsigned int | toUInt32 (ExecState *exec) const
unsigned short | toUInt16 (ExecState *exec) const
Type | dispatchType () const
Value | dispatchToPrimitive (ExecState *exec, Type preferredType=UnspecifiedType) const
bool | dispatchToBoolean (ExecState *exec) const
double | dispatchToNumber (ExecState *exec) const
UString | dispatchToString (ExecState *exec) const
bool | dispatchToUInt32 (unsigned &) const
Object | dispatchToObject (ExecState *exec) const
bool | isDestroyed () const

## Public Attributes

unsigned short int | refcount

## Friends

class | Collector
class | Value
class | ContextImp

## Detailed Description

ValueImp is the base type for all primitives (Undefined, Null, Boolean, String, Number) and objects in ECMAScript.

Note: you should never inherit from ValueImp as it is for primitive types only (all of which are provided internally by KJS). Instead, inherit from ObjectImp.

Definition at line 79 of file value.h.

The documentation for this class was generated from the following files:

- value.h
- value.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys